"use strict";

// Standard attributes 
this.name           = "classicThargoid_warship_script.js"; 
this.author         = "Smivs"; 
this.copyright	    = "© Smivs"; 
this.licence        = "Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License";
this.version        = "1.1";  
this.description    = "Script to control color change of Thargoid warships and generate curses upon death." 

this.shipSpawned = function()
{
 this.$classicThargoidWarshipColorChange ()
}
// first phase
this.$classicThargoidWarshipColorChange = function()
// timer to switch diffuse and emission maps after 1 second
{
  this.$thargoidColorTimer1 = new Timer(this, this.thargoidColorTimer1,0.5); 
}
this.thargoidColorTimer1 = function()
// Set materials to first phase
{
   this.ship.setMaterials({"classicThargoid_diffuse1.png": { diffuse_map: "classicThargoid_diffuse1.png", emission_map: "classicThargoid_lighting1.png", normal_map: "classicThargoid_normal.png" }});
// Switch to second phase
   this.$classicThargoidWarshipColorChange2 ();
}
// second phase
this.$classicThargoidWarshipColorChange2 = function()
{
// timer to switch diffuse and emission maps back after 1 second
  this.$thargoidColorTimer2 = new Timer(this, this.thargoidColorTimer2,0.5); 
}
this.thargoidColorTimer2 = function()
// Set materials to second phase
{
   this.ship.setMaterials({"classicThargoid_diffuse1.png": { diffuse_map: "classicThargoid_diffuse2.png",  emission_map: "classicThargoid_lighting2.png", normal_map: "classicThargoid_normal.png" }});
// Switch back to first phase
   this.$classicThargoidWarshipColorChange ();
}
this.shipDied = function ()
// from core oolite warship script, to generate curses
{
  this.ship.commsMessage(expandDescription("[thargoid_curses]"));
}
this.entityDestroyed = function()
// stop timers
{
  if(this.thargoidColorTimer1)
    {
      if (this.thargoidColorTimer1.isRunning) 
        {
          this.thargoidColorTimer1.stop();
          delete this.thargoidColorTimer1;
        }
     }
  if(this.thargoidColorTimer2)
     {
       if (this.thargoidColorTimer2.isRunning) 
         {
           this.thargoidColorTimer2.stop();
           delete this.thargoidColorTimer2;
         }
     }
}




